Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class RateType4Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.RateType4Choice

    public class RateType4Choice
    extends java.lang.Object

Java class for RateType4Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RateType4Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Pctg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PercentageRate"/>
               <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `othr`
`protected java.math.BigDecimal` `pctg`

### Constructor Summary

Constructors
`RateType4Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getOthr()` Gets the value of the othr property.
`java.math.BigDecimal` `getPctg()` Gets the value of the pctg property.
`void` `setOthr​(java.lang.String value)` Sets the value of the othr property.
`void` `setPctg​(java.math.BigDecimal value)` Sets the value of the pctg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pctg

    protected java.math.BigDecimal pctg

#### othr

    protected java.lang.String othr

### Constructor Detail

#### RateType4Choice

    public RateType4Choice()

### Method Detail

#### getPctg

    public java.math.BigDecimal getPctg()

Gets the value of the pctg property.

Returns:
  possible object is `BigDecimal`

#### setPctg

    public void setPctg​(java.math.BigDecimal value)

Sets the value of the pctg property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getOthr

    public java.lang.String getOthr()

Gets the value of the othr property.

Returns:
  possible object is `String`

#### setOthr

    public void setOthr​(java.lang.String value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `String`